DocsAPI ReferenceWarehouse/bff/warehouse/stocktake/create
postWarehouseAdmin BFF

/bff/warehouse/stocktake/create

Create stocktake session (Tier 1 #2)

WarehousepostBffWarehouseStocktakeCreate

Parameters

8 body

8 total
Body · 8
warehouseIdnumberRequired
locationIdnumber | null
namestringRequired
Length: 1
filterNotestring | null
lockScopeboolean
snapshotboolean
notestring | null
startedByMemberIdnumber | null

Request

POST /bff/warehouse/stocktake/create

post
curl -X POST "https://api.bizkithub.com/bff/warehouse/stocktake/create" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "warehouseId": 0,
  "name": "example_name",
  "lockScope": false,
  "snapshot": false
}'

Response

JSON payload

{
  "success": false,
  "sessionId": 0,
  "itemCount": 0
}

All response codes

1 status code documented

Need an API key?

All BizKitHub API endpoints require authentication via API key.

Get API Key